Skip to main content
PUT
/
ml
/
projects
/
{id}
/
settings
Update Project Settings
curl --request PUT \
  --url https://acusight.io/api/ml/projects/{id}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_deploy_edge_groups": [
    "<string>"
  ],
  "auto_deploy_enabled": true,
  "auto_export_config": [
    123
  ],
  "auto_export_format": "<string>"
}
'
{
  "data": {
    "auto_deploy_edge_groups": [
      "<string>"
    ],
    "auto_deploy_enabled": true,
    "auto_export_config": [
      123
    ],
    "auto_export_format": "<string>",
    "created_at": "<string>",
    "id": 123,
    "project_id": 123,
    "updated_at": "<string>"
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Body

application/json

Settings update

auto_deploy_edge_groups
string[]
auto_deploy_enabled
boolean
auto_export_config
integer[]
auto_export_format
string

Response

Updated settings

data
object
error
object
meta
object
success
boolean